Get a taxes collection by ID
curl --request GET \
--url https://api.teleship.com/api/taxes-collections/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.teleship.com/api/taxes-collections/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.teleship.com/api/taxes-collections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"trackingNumber": "<string>",
"shipTo": {
"name": "<string>",
"address": {
"line1": "",
"city": "",
"postcode": "",
"country": "US"
},
"email": "<string>",
"phone": "<string>",
"company": "<string>"
},
"shipFrom": {
"name": "<string>",
"address": {
"line1": "",
"city": "",
"postcode": "",
"country": "GB"
},
"email": "<string>",
"phone": "<string>",
"company": "<string>"
},
"weight": {
"value": "1.0",
"unit": "kg"
},
"dimensions": {
"length": "40.0",
"width": "30.0",
"height": "16.0",
"unit": "cm"
},
"customs": {
"invoiceNumber": "<string>",
"invoiceDate": "2023-11-07T05:31:56Z",
"orderId": "<string>",
"orderTotalValue": {
"amount": "15.0",
"currency": "GBP"
},
"certified": true,
"signedBy": "<string>",
"EORI": "<string>",
"IOSS": "<string>",
"VAT": "<string>",
"EIN": "<string>",
"VOECNUMBER": "<string>",
"SWISSVAT": "<string>",
"KAR_VAT": "<string>",
"CA_GST": "<string>",
"AU_GST": "<string>",
"NZ_GST": "<string>",
"JPConsumptionTax": "<string>",
"GPSRContactInfo": "<string>",
"importerOfRecord": {
"name": "<string>",
"address": {
"line1": "",
"city": "",
"postcode": "",
"country": "GB"
},
"email": "<string>",
"phone": "<string>",
"company": "<string>",
"stateTaxId": "<string>",
"countryTaxId": "<string>"
}
},
"packageType": "parcel",
"contentType": "CommercialGoods",
"isArchived": false,
"status": "pending",
"accountId": "<string>",
"commodities": [
{
"id": "<string>",
"quantity": 123,
"title": "<string>",
"value": {},
"kgWeight": 123,
"unitWeight": {},
"countryOfOrigin": "CN",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hsCode": "<string>",
"predictedHsCode": "<string>",
"predictedTaxCode": "<string>",
"sku": "<string>",
"description": "<string>",
"productUrl": "<string>",
"imageUrl": "<string>",
"category": "<string>",
"classification": {},
"dutiesAndTaxes": {},
"metadata": {}
}
],
"surcharges": [
{
"id": "<string>",
"type": "<string>",
"name": "<string>",
"amount": 123,
"metadata": {},
"shipmentId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"taxesCollectionId": "<string>"
}
],
"events": [
{
"id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"data": {},
"eventTypeId": "<string>",
"eventType": {
"id": "<string>",
"code": "<string>",
"description": "<string>",
"type": "created",
"clockStart": false,
"clockStop": false,
"shipperVisibility": true,
"consigneeVisibility": true,
"createdAt": "2026-05-03T20:22:57.007Z",
"updatedAt": "2026-05-03T20:22:57.007Z",
"alias": "<string>",
"status": "<string>",
"category": "<string>",
"config": {},
"carrierEventTypes": [
"<string>"
]
}
}
],
"attachments": [
{
"id": "<string>",
"eventName": "<string>",
"data": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"downloadURL": "https://api.teleship.com/api/documents/123/download",
"reference": "<string>"
}
],
"transactions": [
{
"id": "<string>",
"type": "<string>",
"amount": 123,
"currency": {},
"accountId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"status": "<string>",
"reference": "<string>",
"transactionTypeId": "<string>",
"metadata": {},
"transactionType": {
"id": "<string>",
"category": "<string>",
"rateSource": "<string>",
"auditStatus": "<string>",
"chargeType": "<string>",
"account": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"value": "<string>"
}
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"paymentUrl": "https://duties-taxes.com/abc123",
"externalManifestId": "<string>",
"description": "<string>",
"customerReference": "<string>",
"metadata": {},
"requestId": "<string>",
"dutiesAndTaxes": {
"totalAmount": 123,
"charges": [
{
"name": "<string>",
"amount": "15.0",
"currency": "GBP",
"rate": 123,
"code": "<string>"
}
],
"customsDeclaration": {}
},
"stages": [
{
"id": "<string>",
"type": "initial_sms",
"status": "completed",
"scheduledAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"error": "<string>",
"skipReason": "<string>",
"retryCount": 123,
"metadata": {}
}
],
"collectionDeadline": "2023-11-07T05:31:56Z",
"customsPaidAt": "2023-11-07T05:31:56Z",
"stripePaymentIntentId": "<string>"
}{
"messages": [
{
"code": 123,
"level": "error",
"timestamp": "2024-01-01T00:00:00.00Z",
"message": "An error occurred",
"details": [
"Missing required field"
]
}
]
}Taxes collections
Get a taxes collection by ID
GET
/
api
/
taxes-collections
/
{id}
Get a taxes collection by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
envelope, tube, parcel Available options:
Documents, Gift, Sample, Other, CommercialGoods, ReturnOfGoods Collection status
Example:
"pending"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Payment URL for consignee
Example:
"https://duties-taxes.com/abc123"
Show child attributes
Show child attributes
Timeline stages
Show child attributes
Show child attributes
Payment deadline
When customs was paid
Stripe PaymentIntent ID
Was this page helpful?
⌘I